# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mssql_mysql_migrator/version'

Gem::Specification.new do |spec|
  spec.name          = "mssql_mysql_migrator"
  spec.version       = MssqlMysqlMigrator::VERSION
  spec.authors       = ["dirk lüsebrink"]
  spec.email         = ["dirk.luesebrink@artcom.de"]

  spec.summary       = %q{dumping from MS SQL Server and loading to MySQL.}
  spec.description   = %q{Sequel is used for reading and CSV for bulk uploading.}
  spec.homepage      = "https://github.com/artcom/"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    #spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "bundler", "~> 1.10"
  spec.add_runtime_dependency 'applix', '~>0.4.14'
  spec.add_runtime_dependency 'ac-logger', '~>0.1.1'
  spec.add_runtime_dependency 'mysql', '~>2.9'
  spec.add_runtime_dependency 'sequel', '~>4.22'
  spec.add_runtime_dependency 'tiny_tds', '~> 0.6.3.rc1'

  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3"
  spec.add_development_dependency "byebug", "~> 5"
end
